@import "style.scss";
@import "color.scss";
@import "icon.scss";

.container {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
  width: 100%;
  height: 100%;

  &__body {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    width: 100%;
    height: auto;
    margin: auto;

    .control__wrapper {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;

      width: 400px;

      .search__input {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        box-sizing: border-box;
        width: 100%;
        height: 36px;
        padding: $p-8-16;
        margin: $m-16 $m-default;
        border: 1px solid $dim-gray;
        border-radius: $border-radius-10;

        > input {
          width: 100%;
          border: none;
          outline: none;
        }
      }

      .summary {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 100%;

        .current__balance {
          display: flex;
          flex-direction: row;
          justify-content: space-between;
          align-items: center;
          background-color: $bleu-fe-france;
          box-sizing: border-box;
          border-radius: $border-radius-10;
          height: 50px;

          width: 100%;
          padding: $p-8-16;
          margin: $m-8-16;

          &-text {
            color: $cultured;
            font-size: 18px;
            font-weight: 500;
          }
        }

        .account__summary {
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;

          width: 100%;
          height: auto;
          border: 1px solid $silver-sand;
          border-radius: $border-radius-10;
          margin: $m-8-16;

          &-header {
            display: flex;
            justify-content: flex-start;
            align-items: flex-start;
            width: 100%;
            background-color: $silver-sand;
            box-sizing: border-box;
            padding: $p-8-16;
            border-radius: 9px 9px 0 0;

            &__text {
              text-align: left;
              width: 100%;
              color: $dim-gray;
              font-size: 18px;
              font-weight: 500;
            }
          }

          &-body {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            width: 100%;

            &__content {
              display: flex;
              flex-direction: row;
              justify-content: space-between;
              align-items: center;
              box-sizing: border-box;
              padding: $p-8-16;
              width: 100%;

              background-color: $white;
              border-bottom: 1px solid $silver-sand;

              &__title {
                text-align: left;
                font-size: 16px;
                font-weight: 500;
                color: $bleu-fe-france;
              }

              &__text {
                text-align: right;
                font-size: 16px;
                font-weight: 500;
                color: $eerie-black;
              }
            }

            &__content:last-child {
              border-bottom: none;
              border-radius: 0 0 9px 9px;
            }
          }
        }

        .card__status {
          display: flex;
          flex-direction: column;
          justify-items: center;
          align-items: center;

          width: 100%;
          height: auto;
          border: 1px solid $silver-sand;
          border-radius: $border-radius-10;
          margin: $m-8-16;

          &-header {
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;

            width: 100%;
            background-color: $silver-sand;
            box-sizing: border-box;
            padding: $p-8-16;
            border-radius: 9px 9px 0 0;

            &__title {
              text-align: left;
              width: 35%;
              color: $dim-gray;
              font-size: 18px;
              font-weight: 500;
            }

            &__text {
              text-align: right;
              width: 65%;
              color: $dim-gray;
              font-size: 18px;
              font-weight: 500;
            }
          }

          &-body {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            width: 100%;

            &__content {
              display: flex;
              flex-direction: row;
              justify-content: space-between;
              align-items: center;
              box-sizing: border-box;
              padding: $p-8-16;
              width: 100%;

              background-color: $white;
              border-bottom: 1px solid $silver-sand;

              &__title {
                text-align: left;
                font-size: 16px;
                font-weight: 500;
                color: $bleu-fe-france;
              }

              &__text {
                text-align: right;
                font-size: 16px;
                font-weight: 500;
                color: $eerie-black;
              }
            }

            &__content:last-child {
              border-bottom: none;
              border-radius: 0 0 9px 9px;
            }
          }
        }
      }
    }

    .main__content {
      display: block;
      width: calc(100% - 550px);
      height: auto;
      margin-top: 16px;
      margin-left: 50px;

      .table__container {
        width: 100%;
        height: auto;
        max-height: 100vh;
        border-collapse: collapse;
        border-radius: $border-radius-5;
        overflow: hidden;
        border: 1px solid $silver-sand;

        &-header {
          background-color: $silver-sand;
          color: $eerie-black;
          width: 100%;
          height: 36px;

          .table {
            &-date {
              box-sizing: border-box;
              padding: $p-8-16;
              width: 15%;
              text-align: left;
            }

            &-amount,
            &-balance {
              box-sizing: border-box;
              padding: $p-8-16;
              width: 15%;
              text-align: center;
            }

            &-type {
              box-sizing: border-box;
              padding: $p-8-16;
              width: 10%;
              text-align: left;
            }

            &-desc {
              width: 45%;
              box-sizing: border-box;
              padding: $p-8-16;
              text-align: left;
            }
          }
        }

        &-body {
          width: 100%;

          > tr:nth-child(even) {
            background-color: $cultured;
          }

          .table {
            &-date {
              box-sizing: border-box;
              padding: $p-8-16;
              text-align: left;
            }

            &-amount,
            &-balance {
              box-sizing: border-box;
              padding: $p-8-16;
              width: 15%;
              text-align: right;
            }

            &-type {
              box-sizing: border-box;
              padding: $p-8-16;
              text-align: left;
            }

            &-desc {
              box-sizing: border-box;
              padding: $p-8-16;
              text-align: left;
            }
          }
        }

        &-footer {
          background-color: $silver-sand;
          width: 100%;

          .table__footer-title {
            box-sizing: border-box;
            padding: $p-8-16;
            font-size: 18px;
            font-weight: 500;
            text-align: left;
          }

          .table__footer-amount {
            box-sizing: border-box;
            padding: $p-8-16;
            font-size: 18px;
            font-weight: 500;
            text-align: right;
          }
        }
      }
    }
  }
}
